package org.jboss.as.test.integration.security.jaspi;

import org.jboss.as.web.security.jaspi.modules.WebServerAuthModule;

import javax.security.auth.Subject;
import javax.security.auth.message.AuthException;
import javax.security.auth.message.AuthStatus;
import javax.security.auth.message.MessageInfo;

public class ExceptionThrowingAuthModule extends WebServerAuthModule {
    @Override
    public AuthStatus secureResponse(MessageInfo messageInfo, Subject serviceSubject) throws AuthException {
        throw new AuthException();
    }

    @Override
    public AuthStatus validateRequest(MessageInfo messageInfo, Subject clientSubject, Subject serviceSubject) throws AuthException {
        return null;
    }
}
